Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface ServletType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServletTypeImpl

    public interface ServletType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `servletType` xsd type

Original Documentation:

The servletType is used to declare a servlet.
It contains the declarative data of a
servlet. If a jsp-file is specified and the load-on-startup
element is present, then the JSP should be precompiled and
loaded.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<ServletType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<ParamValueType<ServletType<T>>>` | `getInitParamList()` Returns all `init-param` elements
`java.lang.String` | `getJspFile()` Returns the `jsp-file` element
`java.lang.Integer` | `getLoadOnStartup()` Returns the `load-on-startup` element
`java.util.List<SecurityRoleRefType<ServletType<T>>>` | `getSecurityRoleRefList()` Returns all `security-role-ref` elements
`java.lang.String` | `getServletClass()` Returns the `servlet-class` element
`java.lang.String` | `getServletName()` Returns the `servlet-name` element
`IconType<ServletType<T>>` | `icon()` Returns the `icon` element
`ParamValueType<ServletType<T>>` | `initParam()` Returns the `init-param` element
`java.lang.Boolean` | `isAsyncSupported()` Returns the `async-supported` element
`java.lang.Boolean` | `isEnabled()` Returns the `enabled` element
`MultipartConfigType<ServletType<T>>` | `multipartConfig()` If not already created, a new `multipart-config` element will be created and returned.
`ServletType<T>` | `removeAllDescription()` Removes the `description` element
`ServletType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServletType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServletType<T>` | `removeAllInitParam()` Removes all `init-param` elements
`ServletType<T>` | `removeAllSecurityRoleRef()` Removes all `security-role-ref` elements
`ServletType<T>` | `removeAsyncSupported()` Removes the `async-supported` element
`ServletType<T>` | `removeEnabled()` Removes the `enabled` element
`ServletType<T>` | `removeJspFile()` Removes the `jsp-file` element
`ServletType<T>` | `removeLoadOnStartup()` Removes the `load-on-startup` element
`ServletType<T>` | `removeMultipartConfig()` Removes the `multipart-config` element
`ServletType<T>` | `removeRunAs()` Removes the `run-as` element
`ServletType<T>` | `removeServletClass()` Removes the `servlet-class` element
`ServletType<T>` | `removeServletName()` Removes the `servlet-name` element
`RunAsType<ServletType<T>>` | `runAs()` If not already created, a new `run-as` element will be created and returned.
`SecurityRoleRefType<ServletType<T>>` | `securityRoleRef()` Returns the `security-role-ref` element
`ServletType<T>` | `setAsyncSupported(java.lang.Boolean asyncSupported)` If not already created, a new `async-supported` element with the given value will be created.
`ServletType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServletType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServletType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServletType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServletType<T>` | `setEnabled(java.lang.Boolean enabled)` If not already created, a new `enabled` element with the given value will be created.
`ServletType<T>` | `setJspFile(java.lang.String jspFile)` If not already created, a new `jsp-file` element with the given value will be created.
`ServletType<T>` | `setLoadOnStartup(java.lang.Integer loadOnStartup)` If not already created, a new `load-on-startup` element with the given value will be created.
`ServletType<T>` | `setServletClass(java.lang.String servletClass)` If not already created, a new `servlet-class` element with the given value will be created.
`ServletType<T>` | `setServletName(java.lang.String servletName)` If not already created, a new `servlet-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ServletType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ServletType`

### setDescriptionList

    ServletType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServletType`

### removeAllDescription

    ServletType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ServletType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ServletType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ServletType`

### setDisplayNameList

    ServletType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServletType`

### removeAllDisplayName

    ServletType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ServletType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ServletType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ServletType`

### icon

    IconType<ServletType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ServletType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setServletName

    ServletType<T> setServletName(java.lang.String servletName)

  If not already created, a new `servlet-name` element with the given value will be created. Otherwise, the existing `servlet-name` element will be updated with the given value.

  Returns:
    the current instance of `ServletType`

### removeServletName

    ServletType<T> removeServletName()

  Removes the `servlet-name` element

  Returns:
    the current instance of `ServletType`

### getServletName

    java.lang.String getServletName()

  Returns the `servlet-name` element

  Returns:
    the node defined for the element `servlet-name`

### removeAllInitParam

    ServletType<T> removeAllInitParam()

  Removes all `init-param` elements

  Returns:
    the current instance of `ServletType`

### initParam

    ParamValueType<ServletType<T>> initParam()

  Returns the `init-param` element

  Returns:
    the node defined for the element `init-param`

### getInitParamList

    java.util.List<ParamValueType<ServletType<T>>> getInitParamList()

  Returns all `init-param` elements

  Returns:
    list of `init-param`

### setLoadOnStartup

    ServletType<T> setLoadOnStartup(java.lang.Integer loadOnStartup)

  If not already created, a new `load-on-startup` element with the given value will be created. Otherwise, the existing `load-on-startup` element will be updated with the given value.

  Returns:
    the current instance of `ServletType`

### removeLoadOnStartup

    ServletType<T> removeLoadOnStartup()

  Removes the `load-on-startup` element

  Returns:
    the current instance of `ServletType`

### getLoadOnStartup

    java.lang.Integer getLoadOnStartup()

  Returns the `load-on-startup` element

  Returns:
    the node defined for the element `load-on-startup`

### setEnabled

    ServletType<T> setEnabled(java.lang.Boolean enabled)

  If not already created, a new `enabled` element with the given value will be created. Otherwise, the existing `enabled` element will be updated with the given value.

  Returns:
    the current instance of `ServletType`

### removeEnabled

    ServletType<T> removeEnabled()

  Removes the `enabled` element

  Returns:
    the current instance of `ServletType`

### isEnabled

    java.lang.Boolean isEnabled()

  Returns the `enabled` element

  Returns:
    the node defined for the element `enabled`

### setAsyncSupported

    ServletType<T> setAsyncSupported(java.lang.Boolean asyncSupported)

  If not already created, a new `async-supported` element with the given value will be created. Otherwise, the existing `async-supported` element will be updated with the given value.

  Returns:
    the current instance of `ServletType`

### removeAsyncSupported

    ServletType<T> removeAsyncSupported()

  Removes the `async-supported` element

  Returns:
    the current instance of `ServletType`

### isAsyncSupported

    java.lang.Boolean isAsyncSupported()

  Returns the `async-supported` element

  Returns:
    the node defined for the element `async-supported`

### removeRunAs

    ServletType<T> removeRunAs()

  Removes the `run-as` element

  Returns:
    the current instance of `ServletType`

### runAs

    RunAsType<ServletType<T>> runAs()

  If not already created, a new `run-as` element will be created and returned. Otherwise, the existing `run-as` element will be returned.

  Returns:
    the node defined for the element `run-as`

### removeAllSecurityRoleRef

    ServletType<T> removeAllSecurityRoleRef()

  Removes all `security-role-ref` elements

  Returns:
    the current instance of `ServletType`

### securityRoleRef

    SecurityRoleRefType<ServletType<T>> securityRoleRef()

  Returns the `security-role-ref` element

  Returns:
    the node defined for the element `security-role-ref`

### getSecurityRoleRefList

    java.util.List<SecurityRoleRefType<ServletType<T>>> getSecurityRoleRefList()

  Returns all `security-role-ref` elements

  Returns:
    list of `security-role-ref`

### removeMultipartConfig

    ServletType<T> removeMultipartConfig()

  Removes the `multipart-config` element

  Returns:
    the current instance of `ServletType`

### multipartConfig

    MultipartConfigType<ServletType<T>> multipartConfig()

  If not already created, a new `multipart-config` element will be created and returned. Otherwise, the existing `multipart-config` element will be returned.

  Returns:
    the node defined for the element `multipart-config`

### setServletClass

    ServletType<T> setServletClass(java.lang.String servletClass)

  If not already created, a new `servlet-class` element with the given value will be created. Otherwise, the existing `servlet-class` element will be updated with the given value.

  Returns:
    the current instance of `ServletType`

### removeServletClass

    ServletType<T> removeServletClass()

  Removes the `servlet-class` element

  Returns:
    the current instance of `ServletType`

### getServletClass

    java.lang.String getServletClass()

  Returns the `servlet-class` element

  Returns:
    the node defined for the element `servlet-class`

### setJspFile

    ServletType<T> setJspFile(java.lang.String jspFile)

  If not already created, a new `jsp-file` element with the given value will be created. Otherwise, the existing `jsp-file` element will be updated with the given value.

  Returns:
    the current instance of `ServletType`

### removeJspFile

    ServletType<T> removeJspFile()

  Removes the `jsp-file` element

  Returns:
    the current instance of `ServletType`

### getJspFile

    java.lang.String getJspFile()

  Returns the `jsp-file` element

  Returns:
    the node defined for the element `jsp-file`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD